# ---------------------------------------------------------------------------
# BufferService Mod
# - Additional configuration can be found in: data/service/buffer/json
# - HTML can be modified in data/service/buffer/html
# - The default npc is 60001, use //spawn 60001 to spawn it
# ---------------------------------------------------------------------------

# WARNING: this mod require custom NPC table support turned on!
# CustomNpcTable = True in General.properties
# ---------------------------------------------------------------------------

# ---------------------------------------------------------------------------
# General Buffer Config
# ---------------------------------------------------------------------------
# Enable/Disable BufferService
# Default: False
Enable=False

# How long players have to wait to heal again (in seconds)
# Default: 60
HealCooldown=60

# How many schemes players can have
# Default: 5
MaxUniqueLists=5

# Enable/Disable debug messages
# Default: False
Debug=False

# Forbid the buffer in the specified zone types
# Default: PVP,SIEGE,WATER,JAIL,DANGER_AREA
ForbidInZones=PVP,SIEGE,WATER,JAIL,DANGER_AREA

# Forbid the buffer in events (event, block checker, olympiad, tvt)
# Default: true
ForbidInEvents=true

# Forbid the buffer in a duel
# Default: true
ForbidInDuell=true

# Forbid the buffer in a fight
# Default: true
ForbidInFight=true

# Forbid the buffer in PVP (purple name)
# Default: true
ForbidInPvp=true

# Forbid the buffer for chaotic players (red name)
# Default: false
ForbidForChaoticPlayers=false

# ---------------------------------------------------------------------------
# Voiced Buffer Config
# ---------------------------------------------------------------------------
# Enable/Disable voiced buffer
# Default: False
VoicedEnable=False

# The voiced command for the voiced buffer
# Default: bufferservice
VoicedCommand=bufferservice

# The name of the voiced buffer
# Default: Voiced
VoicedName=Voiced

# Item id required to be in the inventory to be able to use the voiced buffer
# 0 = no item required
# Default: 0
VoicedRequiredItem=0